#ifndef PATHCONFIG_H
#define PATHCONFIG_H

#include <qobject.h>
#include "qt_version.h"
#if QT_VERSION < 0x040000
#include <qmainwindow.h>
#include <qlayout.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <qpushbutton.h>
#include <qfiledialog.h>
#else
#include <QMainWindow>
#include <QGridLayout>
#include <QLineEdit>
#include <QLabel>
#include <QPushButton>
#include <QFileDialog>
#endif
#include "qt_version.h"
#include "qprofile.h"

class PathConfig : public QWidget
{
	Q_OBJECT
			
	public:
		PathConfig();
		
		void setSelectedProfile(QProfile * p);
		
		void updateProfile(QProfile * p);
	
	public slots:
		
		void saveRestorePressed();
		void userPressed();
		void configPressed();
		void filterBankPressed();
		
	protected:
		
		QLineEdit * saveRestoreLine;
		QLineEdit * userLine;
		QLineEdit * configLine;
		QLineEdit * filterBankLine;
		
		int currentId;
};

#endif
